#!/bin/bash
cat=mouse
path=other/$cat
mkdir -p $path
rm -rf ${path}/*
tmpf=/tmp/${cat}.txt
tmpf2=/tmp/${cat}2.txt
rm -rf $tmpf $tmpf2
/usr/sbin/hwinfo --$cat > /tmp/${cat}.txt
skipflag=0
counter=0
while read line
do
   gotnet=`echo $line | grep '^[0-9][0-9]:'`
   if [ $skipflag = "0" ]; then
       if [ "X$gotnet" != "X" ]; then
           #echo $line
           skipflag=1
           counter=`expr $counter + 1`
       fi
   else
       nextstar=`echo $line | grep '^[0-9][0-9]:'`
       if [ "X$nextstar" = "X" ]; then
           echo "BT-$counter:$line" >> $tmpf2
       else
           if [ "X$gotnet" != "X" ]; then
               skipflag=1
               counter=`expr $counter + 1`
           else
               skipflag=0
           fi
       fi
   fi
done < ${tmpf}
echo $counter
num=0
for obj in `cat $tmpf2 | grep 'Hardware Class:' | awk -F: '{print $1}' | sort | uniq`
do
   echo $obj
   #cat $tmpf2 | grep ^$obj | sed -r 's/'$obj'/NIC-'${num}'/' >> data/net/obj-${num}.txt
   descnull=`cat $tmpf2 | grep ^$obj | grep "Hardware Class:"`
   if [ "X$descnull" = "X" ]; then
      continue
   fi
   descnull=`cat $tmpf2 | grep ^$obj | grep -i touchpad`
   if [ "X$descnull" = "X" ]; then
      prefix="MOUSE_"
   else
      prefix="TOUCH_"
   fi
   descnull=`cat $tmpf2 | grep ^$obj | grep -i "Hotplug: USB"`
   if [ "X$descnull" != "X" ]; then
      prefix="USBMOUSE_"
   fi
 
 
   num=`expr $num + 1`
   tmpstr=`cat $tmpf2 | grep ^$obj | grep "Model:" | sed -r 's#.*"(.*)".*#\1#'`
   echo "${prefix}Model${num}=$tmpstr"
   echo "${prefix}Model${num}=$tmpstr" >> ${path}/${num}.txt

   tmpstr=`cat $tmpf2 | grep ^$obj | grep "Vendor:" | sed -r 's#.*0x([0-9a-z]+).*#0x\1#'  | grep -v "Vendor:"`
   echo "${prefix}VendorID${num}=$tmpstr" | tee -a ${path}/${num}.txt
   tmpstr=`cat $tmpf2 | grep ^$obj | grep "Device:" | sed -r 's#.*0x([0-9a-z]+).*#0x\1#' | grep -v "Device:"`
   echo "${prefix}DeviceID${num}=$tmpstr" | tee -a ${path}/${num}.txt
   tmpstr=`cat $tmpf2 | grep ^$obj | grep "Vendor:" | sed -r 's#.*"(.*)".*#\1#' | grep -v "Vendor:"`
   echo "${prefix}Vendor${num}=$tmpstr" | tee -a ${path}/${num}.txt
   tmpstr=`cat $tmpf2 | grep ^$obj | grep "Device:" |  sed -r 's#.*"(.*)".*#\1#' | grep -v "Device:"`
   echo "${prefix}Device${num}=$tmpstr" | tee -a ${path}/${num}.txt

   tmpstr=`cat $tmpf2 | grep ^$obj | grep "Driver:" | sed -r 's#.*"(.*)".*#\1#'  | grep -v "Driver:"`
   echo "${prefix}Driver${num}=$tmpstr" | tee -a ${path}/${num}.txt
   tmpstr=`cat $tmpf2 | grep ^$obj | grep "Revision:" | sed -r 's#.*"(.*)".*#\1#'  | grep -v "Revision:"`
   echo "${prefix}Revision${num}=$tmpstr" | tee -a ${path}/${num}.txt
   tmpstr=`cat $tmpf2 | grep ^$obj | grep "Serial ID:" | sed -r 's#.*"(.*)".*#\1#'  | grep -v "Serial ID:"`
   echo "${prefix}Serial${num}=$tmpstr" | tee -a ${path}/${num}.txt






done


echo "=============$cat START==============================="
echo "$cat : $num"
#cat $tmpf
echo "================================="
cat ${path}/*.txt
echo "=============$cat END================================="

