#!/bin/bash

path="data/battery"
#conf=$path
mkdir -p $path
rm -f ${path}/*

batt=`upower -d | grep battery_BAT`
if [ "X$batt" = "X" ]; then
   echo "No battery"
   #echo "BTRY=" > ${path}/1.txt
else
   battdev=`upower -d | grep battery_BAT | awk -F': ' '{print $2}'`
   echo $battdev
   echo "BAT_Vendor=`upower -i $battdev | grep vendor: |  sed -r 's/: +/:/g' | awk -F':' '{print $2}'`" >> ${path}/1.txt
   echo "BAT_Model=`upower -i $battdev | grep model: |  sed -r 's/: +/:/g' | awk -F':' '{print $2}'`" >> ${path}/1.txt
   echo "BAT_Full=`upower -i $battdev | grep energy-full: |  sed -r 's/: +/:/g' | awk -F':' '{print $2}'`" >> ${path}/1.txt
   echo "BAT_Full_Design=`upower -i $battdev | grep energy-full-design: |  sed -r 's/: +/:/g' | awk -F':' '{print $2}'`" >> ${path}/1.txt
   echo "BAT_Percentage=`upower -i $battdev | grep percentage: |  sed -r 's/: +/:/g' | awk -F':' '{print $2}'`" >> ${path}/1.txt
   echo "BAT_Capacity=`upower -i $battdev | grep capacity: |  sed -r 's/: +/:/g' | awk -F':' '{print $2}'`" >> ${path}/1.txt
   echo "BTRY=`upower -i $battdev | grep capacity: |  sed -r 's/: +/:/g' | awk -F':' '{print $2}'`" >> ${path}/1.txt

fi
echo "=============BATTERY START==============================="
upower -i $battdev 
echo "================================="
cat ${path}/1.txt
echo "=============BATTERY END================================="
 
