#!/bin/bash
opt=M
tmpf=/tmp/M.txt

path="data/machine"
mkdir -p $path
rm -rf ${path}/*

if [ "X$1" = "X1" ]; then
sh ./f.sh ${opt} > $tmpf 

cat $tmpf | awk -F'=' '/product:/{print $8,$9}' | sed -r 's/product: /MB_Name=/' >> ${path}/1.txt
cat $tmpf | awk -F'=' '/product:/{print "MB_Version=",$9}' | sed -r 's/= /=/' >> ${path}/1.txt
cat $tmpf | awk -F'=' '/product:/{print "MB_SN=",$11}' | sed -r 's/= /=/' >> ${path}/1.txt
cat $tmpf | awk -F'=' '/Mobo:/{print $4,$5}'  | sed -r 's/Mobo: /MB_Vendor=/'  >> ${path}/1.txt
#cat $tmpf | awk -F'=' '/Mobo:/{print $8,$9}'  | sed -r 's/serial: /MB_SN=/' >> ${path}/1.txt
cat $tmpf | awk -F'=' '/Mobo:/{print "BIOS:",$11}'  | sed -r 's/BIOS: /MB_BIOS=/'  >> ${path}/1.txt
cat $tmpf | awk -F'=' '/Mobo:/{print "Version:",$13}'  | sed -r 's/Version: /MB_BIOS_Version=/'  >> ${path}/1.txt
cat $tmpf | awk -F'=' '/Mobo:/{print "ReleaseDate:",$15}'  | sed -r 's/ReleaseDate: /MB_BIOS_Release=/' >> ${path}/1.txt

else
   
echo "MB_Vendor=`/usr/sbin/dmidecode -t system | grep Manufacture | awk -F': ' '{print $2}'`" >> ${path}/1.txt
echo "MB_Name=`/usr/sbin/dmidecode -t baseboard | grep 'Product Name' | awk -F': ' '{print $2}'`" >> ${path}/1.txt
echo "MB_SN=`/usr/sbin/dmidecode -t system | grep 'Serial Number' | awk -F': ' '{print $2}'`" >> ${path}/1.txt
echo "MB_SN2=`/usr/sbin/dmidecode -t baseboard | grep 'Serial Number' | awk -F': ' '{print $2}'`" >> ${path}/1.txt
echo "MB_Version=`/usr/sbin/dmidecode -t system | grep 'Version:' | awk -F': ' '{print $2}'`" >> ${path}/1.txt
echo "MB_UUID=`/usr/sbin/dmidecode -t system | grep 'UUID:' | awk -F': ' '{print $2}'`" >> ${path}/1.txt
echo "MB_BIOS_Version=`/usr/sbin/dmidecode -t bios | grep 'Version:' | awk -F': ' '{print $2}'`" >> ${path}/1.txt
echo "MB_BIOS_Release=`/usr/sbin/dmidecode -t bios | grep 'Release Date:' | awk -F': ' '{print $2}'`" >> ${path}/1.txt
echo "MB_BIOS_Vendor=`/usr/sbin/dmidecode -t bios | grep 'Vendor:' | awk -F': ' '{print $2}'`" >> ${path}/1.txt

/usr/sbin/dmidecode -t bios > $tmpf 


fi


echo "=============SYSTEM START==============================="
cat $tmpf
echo "================================="
cat ${path}/1.txt
echo "=============SYSTEM END==============================="
