#!/bin/bash
opt=m
tmpf=/tmp/mNtt.txt
tmpf2=/tmp/mNtt2.txt
tmpf3=/tmp/mNtt3.txt
rm -rf data/mem/*
path=data/mem
mkdir -p $path 
#echo > $tmpf
echo > $tmpf2
echo > $tmpf3
lshw -numeric  > ${tmpf} 
skipflag=0
counter=0
while read line
do
   gotnet=`echo $line | grep '*-bank:'`
   if [ $skipflag = "0" ]; then
       if [ "X$gotnet" != "X" ]; then
	   echo $line
	   skipflag=1
	   counter=`expr $counter + 1`
	   echo "MEM-$counter"
       fi
   else
       nextstar=`echo $line | grep '*-'`
       if [ "X$nextstar" = "X" ]; then
           echo "MEM-$counter:$line"
           echo "MEM-$counter:$line" >> $tmpf2
       else
           if [ "X$gotnet" != "X" ]; then
	       skipflag=1
	       counter=`expr $counter + 1`
	       echo "MEM-$counter"
           else
	       skipflag=0
           fi
       fi
   fi
done < ${tmpf}
echo $counter

num=0
for obj in `cat $tmpf2 | grep 'description:' | awk -F: '{print $1}' | sort | uniq`
do
   #cat $tmpf2 | grep ^$obj | sed -r 's/'$obj'/NIC-'${num}'/' >> data/net/obj-${num}.txt
   descnull=`cat $tmpf2 | grep ^$obj | grep "description:" | grep empty`
   if [ "X$descnull" != "X" ]; then
      continue
   fi
   num=`expr $num + 1`
   #for str in `echo description product vendor serial slot size width clock`
   #do
       #echo "${str}=cat $tmpf2 | grep ^$obj | grep \"${str}:\" | awk -F': ' '{print \$2}'"
   #    tmpstr=`cat $tmpf2 | grep ^$obj | grep "${str}:" | awk -F': ' '{print $2}'`
   #product=`cat $tmpf2 | grep ^$obj | grep "product:" | sed -e 's/.*\[\(.*\)]/\1/' | awk -F: '{print $2}'`
   #    echo "$str=$tmpstr"
   #done
   tmpstr=`cat $tmpf2 | grep ^$obj | grep "product:" | awk -F': ' '{print $2}'`
   echo "MEM_Product${num}=$tmpstr"
   echo "MEM_Product${num}=$tmpstr" >> ${path}/${num}.txt 
   tmpstr=`cat $tmpf2 | grep ^$obj | grep "description" | awk -F': ' '{print $2}'`
   echo "MEM_Name${num}=$tmpstr"
   echo "MEM_Name${num}=$tmpstr" >> ${path}/${num}.txt 
   tmpstr=`cat $tmpf2 | grep ^$obj | grep "size:" | awk -F': ' '{print $2}'`
   echo "MEM_Size${num}=$tmpstr"
   echo "MEM_Size${num}=$tmpstr" >> ${path}/${num}.txt 

   tmpstr=`cat $tmpf2 | grep ^$obj | grep "clock:" | awk -F': ' '{print $2}'`
   echo "MEM_Speed${num}=$tmpstr"
   echo "MEM_Speed${num}=$tmpstr" >> ${path}/${num}.txt 
   tmpstr=`cat $tmpf2 | grep ^$obj | grep "serial:" | awk -F': ' '{print $2}'`
   echo "MEM_Serial${num}=$tmpstr"
   echo "MEM_Serial${num}=$tmpstr" >> ${path}/${num}.txt 

   tmpstr=`cat $tmpf2 | grep ^$obj | grep "vendor:" | awk -F': ' '{print $2}'`
   echo "MEM_Manufacturer${num}=$tmpstr"
   echo "MEM_Manufacturer${num}=$tmpstr" >> ${path}/${num}.txt 

   tmpstr=`cat $tmpf2 | grep ^$obj | grep "description" | awk -F': ' '{print $2}'  | grep DDR | sed -r 's#.*DDR([1-9])#\1#'`
   if [ "X$tmpstr" != "X" ]; then
      echo "MEM_Type${num}=DDR${tmpstr}"
      echo "MEM_Type${num}=DDR${tmpstr}"  >> ${path}/${num}.txt
   else
      echo "MEM_Type${num}="
      echo "MEM_Type${num}="  >> ${path}/${num}.txt
   fi
   #sed -i 's/: /=/g' data/net/obj-${num}.txt
   #sed -i 's/: /=/g' data/net/obj-${num}.txt
done


echo "=============MEM START==============================="
echo "MEM : $num"
#cat $tmpf
echo "================================="
cat ${path}/*.txt
echo "=============MEM END================================="

