#!/bin/bash
#Transfer to one conf
path="/opt/hwinfo/config"
otherconffile="otherhw.txt"
conffile="hardwareInfo.txt"
conf=${path}/${conffile}
otherconf=${path}/${otherconffile}
mkdir -p $path
rm -rf ./data
rm -rf ${path}/end.conf

mkdir -p ./data

sync

sudo ./os-info.sh
#先执行各个类型设备的收集
sudo ./B-battery.sh
sudo ./D-disk2.sh
sudo ./m-memory2.sh
sudo ./M-system.sh
sudo ./G-graphic2.sh
sudo ./C-cpu.sh
sudo ./monitor.sh

#解析输出，导出为一个文件
cat data/*/* > $conf
sh ./other.sh

cat $otherconf >> $conf 
rm -rf $otherconf
#Clean the DIR data,other
rm -rf ./data ./other 

touch ${path}/end.conf
echo "===============Version: 1213-01================="
. ./parser-data.sh
echo > /tmp/hw.info
found=0
while read line
do
   pre1=`echo $line | awk -F[1-9=] '{print $1}'`
   leftstr=`echo $line | sed "s/"${pre1}"//"`
   #echo $leftstr
   val1=`echo $line | awk -F= '{print $2}'`  
   newpre=$(eval echo '$'${pre1})
   #echo $newpre
   if [ "X$newpre" != "X" ]; then
        echo "${newpre}$leftstr" >> /tmp/hw.info
	#continue
   else
	echo "${pre1}:$val1" >> /tmp/hw.info
   fi

done < $conf
cp -f /tmp/hw.info $conf

