#!/bin/bash

if [ "X$1" = "XF" ]; then
   opt1="F"
else
   opt1=$1
fi
path=data/mon
mkdir -p $path
rm -rf ${path}/*
#/usr/bin/xrandr --verbose | grep connected | 
long=`/usr/bin/xrandr --verbose | grep ' connected' | head -n1 | sed -r 's#.* ([0-9]+)mm(.*) ([0-9]+)mm#\1#' 2> /dev/null`
high=`/usr/bin/xrandr --verbose | grep ' connected' | head -n1 | sed -r 's#.* ([0-9]+)mm(.*) ([0-9]+)mm#\3#' 2> /dev/null`
echo "L=$long   H=$high"
if [ "X$long" != "X" ]; then

#inch=awk 'BEGIN{printf "%d\n",sqrt(309*309+174*174)/25.4+0.5}' 
#inch=`awk 'BEGIN{printf "%d\n",sqrt('${long}'*'${long}'+'${high}'*'${high}')/25.4+0.5}'`
inch=`awk 'BEGIN{printf "%.1f\n",sqrt('${long}'*'${long}'+'${high}'*'${high}')/25.4}'`

#awk 'BEGIN{printf "%0.0f\n",(290/170)*100}'
rate=`awk 'BEGIN{printf "%0.0f\n",('${long}'/'${high}')*100}'`
echo rate=$rate
fi
if [ "X$inch" != "X" ]; then
   echo "MON_Size=${inch}"
   echo "MON_Size=${inch}" > ${path}/1.txt
fi
bestres=`xrandr --verbose | grep '+preferred' | awk '{print $1}'`
if [ "X$bestres" != "X" ]; then
   echo "MON_Res=${bestres}"
   echo "MON_Res=${bestres}" >> ${path}/1.txt
fi

if [ "X$rate" != "X" ]; then
   if [ $rate -gt 170 ]; then
      echo "MON_Rate=16:9"
      echo "MON_Rate=16:9" >> ${path}/1.txt
   fi
   if [ $rate -lt 170 -a $rate -gt 150 ]; then
      echo "MON_Rate=16:10"
      echo "MON_Rate=16:10" >> ${path}/1.txt
   fi
   if [ $rate -lt 145 -a $rate -gt 129 ]; then
      echo "MON_Rate=4:3"
      echo "MON_Rate=4:3" >> ${path}/1.txt
   fi
   if [ $rate -lt 128 ]; then
      echo "MON_Rate=5:4"
      echo "MON_Rate=5:4" >> ${path}/1.txt
   fi



fi
echo "=============Monitor START==============================="
cat ${path}/1.txt
echo "=============Monitor END==============================="

